# Uses of Interface
com.fasterxml.jackson.core.util.DefaultPrettyPrinter.Indenter

Packages that use DefaultPrettyPrinter.Indenter
Package
Description
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of DefaultPrettyPrinter.Indenter in com.fasterxml.jackson.core.util

Classes in com.fasterxml.jackson.core.util that implement DefaultPrettyPrinter.Indenter
Modifier and Type
Class
Description
`class`
`DefaultIndenter`
Default linefeed-based indenter, used by `DefaultPrettyPrinter` (unless overridden).
`static class`
`DefaultPrettyPrinter.FixedSpaceIndenter`
This is a very simple indenter that only adds a single space for indentation.
`static class`
`DefaultPrettyPrinter.NopIndenter`
Dummy implementation that adds no indentation whatsoever
Fields in com.fasterxml.jackson.core.util declared as DefaultPrettyPrinter.Indenter
Modifier and Type
Field
Description
`protected DefaultPrettyPrinter.Indenter`
DefaultPrettyPrinter.`_arrayIndenter`
By default, let's use only spaces to separate array values.
`protected DefaultPrettyPrinter.Indenter`
DefaultPrettyPrinter.`_objectIndenter`
By default, let's use linefeed-adding indenter for separate object entries.
Methods in com.fasterxml.jackson.core.util with parameters of type DefaultPrettyPrinter.Indenter
Modifier and Type
Method
Description
`void`
DefaultPrettyPrinter.`indentArraysWith(DefaultPrettyPrinter.Indenter i)`
`void`
DefaultPrettyPrinter.`indentObjectsWith(DefaultPrettyPrinter.Indenter i)`
`DefaultPrettyPrinter`
DefaultPrettyPrinter.`withArrayIndenter(DefaultPrettyPrinter.Indenter i)`
`DefaultPrettyPrinter`
DefaultPrettyPrinter.`withObjectIndenter(DefaultPrettyPrinter.Indenter i)`